package cn.com.taiji.beidou.ship.status.service;

import cn.com.taiji.beidou.common.core.domain.R;
import cn.com.taiji.beidou.ship.status.domain.OfflineShipStatistics;
import cn.com.taiji.beidou.ship.status.domain.ShipStatusReq;
import cn.com.taiji.beidou.ship.status.domain.ShipStatusResult;
import cn.com.taiji.beidou.ship.status.domain.StasisShipStatistics;

import java.util.List;

/**
 * @Author CHEN
 * @Date 2022/11/12 15:26
 */
public interface ShipStatusService {

    /**
     * 获取船舶状态的列表 长停或者离线
     * @param req
     * @return
     */
    List<ShipStatusResult> selectShipStatusList(ShipStatusReq req);

    /**
     * 详情
     * @param devideNo
     * @return
     */
    ShipStatusResult selectById(String devideNo,String isOnline,String isStasis);


    R<StasisShipStatistics> stasisShipTotal(String shipId,String deptId);

    R<OfflineShipStatistics> offlineShipTotal(String shipId, String deptId);
}
